use strict;

use DE_EPAGES::Core::API::Script qw ( RunScript );

use DE_EPAGES::OneSaas::API::Object::OneSaasUrlBuilder;
use Test::More;

sub Main {
    testBuilder();
    done_testing();
}

sub testBuilder {
    my $ActualUrl = URI::URL->new(
        DE_EPAGES::OneSaas::API::Object::OneSaasUrlBuilder->new(
            url => 'https://epagestest.app.onesaas.com/admin/connecttoplugin/completeauthorization/ePages'
            # user plain text: /Shops/DemoShop/Users/OneSaasConecctor
            # password plain text: somesecretPassword
            # AES encrypted using: someSecretKey
          )->authToken('53616c7465645f5fa89d8e6b709d8a33fbb360a109308dceef8205954d46461852f22509afbfb62bf98eb81857510d3761f13d709a583ca170f682f103ae15efead49fac09768843bf95800730271a7bbdc8caa3694c6f142462d561e5712c9e')
           ->providerKey('1and1')
           ->build()
    );
    my $ExpectedUrl
      = URI::URL->new(
        'https://epagestest.app.onesaas.com/admin/connecttoplugin/completeauthorization/ePages?providerKey=1and1&AuthToken=53616c7465645f5fa89d8e6b709d8a33fbb360a109308dceef8205954d46461852f22509afbfb62bf98eb81857510d3761f13d709a583ca170f682f103ae15efead49fac09768843bf95800730271a7bbdc8caa3694c6f142462d561e5712c9e'
      );
    is( $ActualUrl, $ExpectedUrl, 'result check' );
}

RunScript( Sub => \&Main );
